[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: The following packages will be REMOVED:

On Wed, 2012-11-14 at 08:23 +0000, Jon Dowland wrote:
> On Tue, Nov 13, 2012 at 03:00:41PM -0500, Charles Kroeger wrote:
> > So since I don't have 'aptitude or aptitude-common' installed, why is apt-get
> > trying to remove all my non-free programs?
> > 
> > Does it need to remove the non-free stuff before it can upgrade ia32-libs
> > ia32-libs-gtk?
> I suspect what is happening is the transition from ia32-libs to multiarch, and
> the non-free 3rd party packages have not been updated to work with the multiarch
> way of doing things.

The disadvantage of upgrading from one release to the next release and
the disadvantage of rolling releases.

I can't speak for this particular case, but sometimes it seems to be
less work to make a new install. Btw. the reason for me that perhaps
will make me switch from Arch back to Debian.

Reply to: